<?php

require_once '../includes/start.php';
require_once '../includes/function.php';
require_once '../includes/header1.php';
$a=$_GET['a'];
$q = mysql_query("SELECT * FROM `army` WHERE `id`='".check(mysql_real_escape_string($a))."'");
$f = mysql_fetch_array($q);
$s = mysql_query("SELECT * FROM `planet` WHERE `x`='".$f['x']."' AND `y`='".$f['y']."'");
$p = mysql_fetch_array($s);
if($game==0 OR $level==0 OR $ban!=0){
		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
}else{
		$units=$f['u1']+$f['u2']+$f['u3']+$f['u4']+$f['u5']+$f['u6']+$f['u7']+$f['u8']+$f['u9']+$f['u10']+$f['u11']+$f['u12'];
		$units1=$f['u8']+$f['u9']+$f['u10']+$f['u11']+$f['u12'];
		$units2=$f['u1']+$f['u2']+$f['u3']+$f['u4'];
		$units3=$f['u5']+$f['u6']+$f['u7'];
		$vmest=($units2*1.5)+($units3*3);
	switch ($act) {
	default:
	if($f['uid']==$use_id AND $f['onpl']!=0){
	echo "<title>Отряд ".$f['name']."</title>";
	 echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="razd"></div>';
	echo '<div class="top-nav1"><a href="army.php"><b>Флот</b></a> | <b>Отряд <u>'.$f['name'].'</u></b></div>';
	echo '<div class="razd"></div>';
	echo '<center><div class="window">Планета: <a href="planet.php?act=pl&amp;p='.$f['planet'].'">'.$f['name_planet'].'</a><br/>Расположение: <a href="sector.php?x='.$p['x'].'&amp;y='.$p['y'].'">'.$p['name'].'</a> x:'.$f['xpl'].' y:'.$f['ypl'].'<br/>Вместимость: '.$vmest.'/'.($f['u8']*10).'</div></center>';
	echo '<div class="razd"></div>';
$onpl = mysql_result(mysql_query("SELECT COUNT(*) FROM `sosed` WHERE `uid1`='".$use_id."' AND `uid2`='".$p['uid']."' AND `planet`='".$p['id']."' AND `war`=1;"), 0);
if($p['uid']==$use_id)echo '<div class="top-nav1"><img src="../images/war.jpg" alt="image" /> <span class="green">Это ваша планета!</span></div>';
echo '<div class="razd"></div>';
if($p['uid']!=$use_id AND $p['fr_id']==$fr_id AND $fr_id!=0)echo '<div class="cont"><img src="../images/war.jpg" alt="image" /> <span class="blue">Это планета вашего союзника по фракции!</span></div>';
if($onpl==1)echo '<div class="cont"><img src="../images/war.jpg" alt="image" /> <span class="red">Вы обьявили войну этой планете!</span></div>';
if($f['time']>=$realtime){echo '<div class="top"><img src="../images/time.gif" alt="image" /> Отдых '. intval(($f['time']-$realtime)/60) .' минут</div>';}else{
if($units!=0 AND ($f['u8']*10)>=$vmest)echo '<div class="top-nav1"><img src="../images/army.gif" alt="image" /> <a href="?act=onpl&amp;&amp;a='.$f['id'].'"><b>Поднятся на орбиту</b></a></div>';
echo '<div class="razd"></div>';
$locpl = mysql_result(mysql_query("SELECT (uid) FROM `planet_loc` WHERE `x`='".$f['xpl']."' AND `y`='".$f['ypl']."' AND `planet_id`='".$p['id']."';"), 0);
if($locpl!=$use_id AND ($onpl==1 OR $p['uid']==$use_id))echo '<div class="cont"><img src="../images/war.jpg" alt="image" /> <a href="../war/loc_zahvat.php?a='.$f['id'].'">Захватить локацию</a></div>';
}
$mm = mysql_query("SELECT * FROM `planet_loc` WHERE `planet_id`='".$f['onpl']."' AND `x`=3 AND `y`=3 LIMIT 1");
$map = mysql_fetch_array($mm);  
$x1=4-3;
$y1=4+3;
$wave=1;
$table=1;
echo '<div class="window" align="center"><table cellspacing="0" cellpadding="0">';
while($wave<='49'){
if($table=='8'){
$table='1';
$x1=$x1-'7';
$y1=$y1-'1';}
$mm1 = mysql_query("SELECT * FROM `planet_loc` WHERE `planet_id`='".$f['onpl']."' AND `x`='".$x1."' AND `y`='".$y1."' LIMIT 1");
$map1 = mysql_fetch_array($mm1);

if($table=='1')echo'<tr border="0" HEIGHT="18">';
echo'<td BGCOLOR="black">';
if($map1['x']==$f['xpl'] AND $map1['y']==$f['ypl'])echo '<a href="?act=loc&amp;a='.$f['id'].'">';
if($f['xpl']==$map1['x'] AND $f['ypl']==$map1['y'])echo '<img src="../images/space/tp.jpg" alt="" /></a>';
if($f['xpl']!=$map1['x'] OR $f['ypl']!=$map1['y'])echo ''.m($map1['type'], $map1['occupy'], $use_id, $map1['uid'], $f['rasa']).'';
if($map1['x']==$f['xpl'] AND $map1['y']==$f['ypl'])echo '</a>';
echo'</td>';
if($table=='7')echo'</tr>';

$wave++;
$table++;
$x1++;
}
echo'</table></div>';
	if($f['time']<$realtime){
	echo '<div class="blok"><div class="razd"></div><a href="?act=x&amp;x='. ($f['xpl']-1) .'&amp;a='.$f['id'].'"><img src="../images/left.png" alt="image" /></a>';
	echo '<a href="?act=y&amp;y='. ($f['ypl']-1) .'&amp;a='.$f['id'].'"><img src="../images/down.png" alt="image" /></a><br/>';
	echo '<div class="razd"></div>';
	echo '<a href="?act=y&amp;y='. ($f['ypl']+1) .'&amp;a='.$f['id'].'"><img src="../images/up.png" alt="image" /></a>';
	echo '<a href="?act=y&amp;y='. ($f['ypl']-1) .'&amp;a='.$f['id'].'"><img src="../images/down.png" alt="image" /></a>';
	echo '<div class="razd"></div>';
	echo '</div>';
}
	if($p['uid']==$use_id)echo '<div class="blok1"><a href="?act=plus&amp;a='.$f['id'].'">Мобилизация войск</a></div><div class="razd"></div><div class="blok1"><a href="?act=minus&amp;a='.$f['id'].'">Отозвать войска</a></div>';
	if($units1!=0){echo '<div class="top-nav1">Воздушные войска</div><div class="window">';
	if($f['u8']!=0)echo ''.rasa($rasa).' <a href="?act=at&amp;u=8&amp;a='.$f['id'].'">'.units(8, $rasa).'</a>: '.$f['u8'].' ['.at1($f['at8']).']<br/>';
	if($f['u9']!=0)echo ''.rasa($rasa).' <a href="?act=at&amp;u=9&amp;a='.$f['id'].'">'.units(9, $rasa).'</a>: '.$f['u9'].' ['.at1($f['at9']).']<br/>';
	if($f['u10']!=0)echo ''.rasa($rasa).' <a href="?act=at&amp;u=10&amp;a='.$f['id'].'">'.units(10, $rasa).'</a>: '.$f['u10'].' ['.at1($f['at10']).']<br/>';
	if($f['u11']!=0)echo ''.rasa($rasa).' <a href="?act=at&amp;u=11&amp;a='.$f['id'].'">'.units(11, $rasa).'</a>: '.$f['u11'].' ['.at1($f['at11']).']<br/>';
	if($f['u12']!=0)echo ''.rasa($rasa).' <a href="?act=at&amp;u=12&amp;a='.$f['id'].'">'.units(12, $rasa).'</a>: '.$f['u12'].' ['.at1($f['at12']).']<br/>';
	echo '</div>';}
	if($units2!=0){echo '<div class="top-nav1">Легкие наземные войска</div>';
	echo '<div class="window">';
	if($f['u1']!=0)echo ''.rasa($rasa).' <a href="?act=at&amp;u=1&amp;a='.$f['id'].'">'.units(1, $rasa).'</a>: '.$f['u1'].' ['.at1($f['at1']).']<br/>';
	if($f['u2']!=0)echo ''.rasa($rasa).' <a href="?act=at&amp;u=2&amp;a='.$f['id'].'">'.units(2, $rasa).'</a>: '.$f['u2'].' ['.at1($f['at2']).']<br/>';
	if($f['u3']!=0)echo ''.rasa($rasa).' <a href="?act=at&amp;u=3&amp;a='.$f['id'].'">'.units(3, $rasa).'</a>: '.$f['u3'].' ['.at1($f['at3']).']<br/>';
	if($f['u4']!=0)echo ''.rasa($rasa).' <a href="?act=at&amp;u=4&amp;a='.$f['id'].'">'.units(4, $rasa).'</a>: '.$f['u4'].' ['.at1($f['at4']).']<br/>';
	echo '</div>';}
	if($units3!=0){echo '<div class="top-nav1">Тяжелые наземные войска</div>';
	echo '<div class="window">';
	if($f['u5']!=0)echo ''.rasa($rasa).' <a href="?act=at&amp;u=5&amp;a='.$f['id'].'">'.units(5, $rasa).'</a>: '.$f['u5'].' ['.at1($f['at5']).']<br/>';
	if($f['u6']!=0)echo ''.rasa($rasa).' <a href="?act=at&amp;u=6&amp;a='.$f['id'].'">'.units(6, $rasa).'</a>: '.$f['u6'].' ['.at1($f['at6']).']<br/>';
	if($f['u7']!=0)echo ''.rasa($rasa).' <a href="?act=at&amp;u=7&amp;a='.$f['id'].'">'.units(7, $rasa).'</a>: '.$f['u7'].' ['.at1($f['at7']).']<br/>';
	echo '</div>';}
	}
		break;
		case 'x':
	if($f['uid']==$use_id AND $f['onpl']!=0){
	$ax=$_GET['x'];
	$wb=$_GET['o'];
	echo '<div class="top">Перемещение отряда <a href="?act=a&amp;a='.$f['id'].'"> '.$f['name'].'</a></div><div class="conts">';
	if($ax>7 OR $ax!=$f['xpl']+1 && $ax!=$f['xpl']-1 OR $ax<=0){echo 'Вы не можете переместиться на эту локацию!';}else{
	if($units==0){echo 'В вашем отряде нет войск и он не может перемещаться!';}else{
	if($f['time']>=$realtime){echo '<img src="../images/time.gif" alt="image" /> Отдых '. intval(($f['time']-$realtime)/60) .' минут';}else{
		if($wb!=1){
							echo '<img src="../images/army.gif" alt="image" /> Вы уверенны что хотите переместить отряд на позицию x:'.check($ax).' y:'.$f['ypl'].'<br/>';
							echo '<img src="../images/time.gif" alt="image" /> Время отдыха будет составлять 5 минут<br/>';
							echo '<a href="?act=x&amp;o=1&amp;a='.$f['id'].'&amp;x='. check($ax) .'">Да</a> или <a href="pl_army.php?a='.$f['id'].'">Отмена</a>';
							}else{
	mysql_query("UPDATE `army` SET `xpl`='".check($ax)."', `time`=$realtime+300 WHERE `id`='".$f['id']."';");
	header("Location: ?a=".$f['id']."");	
}
}}}}
echo '</div>';
	break;
			case 'y':
	
	if($f['uid']==$use_id AND $f['onpl']!=0){
	$ay=$_GET['y'];
	$wb=$_GET['o'];
	echo '<div class="top">Перемещение отряда <a href="?act=a&amp;a='.$f['id'].'"> '.$f['name'].'</a></div><div class="conts">';
	if($ay>7 OR $ay!=$f['ypl']+1 && $ay!=$f['ypl']-1 OR $ay<=0){echo 'Вы не можете переместиться на эту локацию!';}else{
	if($units==0){echo 'В вашем отряде нет войск и он не может перемещаться!';}else{
	if($f['time']>=$realtime){echo '<img src="../images/time.gif" alt="image" /> Отдых '. intval(($f['time']-$realtime)/60) .' минут';}else{
		if($wb!=1){
							echo '<img src="../images/army.gif" alt="image" /> Вы уверенны что хотите переместить отряд на позицию x:'.$f['xpl'].' y:'.check($ay).'<br/>';
							echo '<img src="../images/time.gif" alt="image" /> Время отдыха будет составлять 5 минут<br/>';
							echo '<a href="?act=y&amp;o=1&amp;a='.$f['id'].'&amp;y='. check($ay) .'">Да</a> или <a href="pl_army.php?a='.$f['id'].'">Отмена</a>';
							}else{	
	mysql_query("UPDATE `army` SET `ypl`='".check($ay)."', `time`=$realtime+300 WHERE `id`='".$f['id']."';");		
	header("Location: ?a=".$f['id']."");
}
}}}}
echo '</div>';
	break;
	case 'loc':
	if($f['uid']==$use_id AND $f['onpl']!=0){

	div('<a href="?a='.$f['id'].'">Отряд '.$f['name'].'</a> | Отряды на локации','top');
	echo '<div class="cont">Расположение x:'.$f['xpl'].' y:'.$f['ypl'].'</div>';
		$PAGINGS = mysql_query("SELECT * FROM `army` WHERE `onpl`='".$f['onpl']."' AND `xpl`='".$f['xpl']."' AND `ypl`='".$f['ypl']."' ORDER BY `id` DESC");
	if($PAGINGS > 0)
	{
		while($row = mysql_fetch_array($PAGINGS))
		{
			echo '<div class="conts">';
			echo ''.otr($row['rasa'], $row['fr_id'], $fr_id, $row['uid'], $use_id).' ';
			if($row['uid']==$use_id)echo 'Отряд <a href="?a='.$row['id'].'"><span class="'.crasa($row['rasa']).'">'.$row['name'].'</span></a> [<span class="green">ваш</span>]';
			if($row['uid']!=$use_id)echo 'Отряд <a href="../war/army.php?a1='.$f['id'].'&amp;a2='.$row['id'].'"><span class="'.crasa($row['rasa']).'">'.$row['name'].'</span></a> ';
			if($row['fr_id']==$fr_id AND $fr_id!=0 AND $row['uid']!=$use_id)echo '[<span class="blue">союзник</span>]';
			if($row['uid']!=$use_id AND (($fr_id==$row['fr_id'] AND $fr_id==0 AND $row['fr_id']==0) OR ($fr_id!=$row['fr_id'] AND $fr_id!=0 AND $row['fr_id']==0) OR ($fr_id!=$row['fr_id'] AND $fr_id==0 AND $row['fr_id']!=0) OR ($fr_id!=$row['fr_id'] AND $fr_id!=0 AND $row['fr_id']!=0)))echo '[<span class="red">противник</span>]';
			echo '</div>';
			
	}}
	echo '<div class="conts"><a href="?act=a&amp;a='.$f['id'].'"><<Назад</a></div>';}
 break;
	case 'plus':
	if($f['uid']==$use_id AND $f['onpl']!=0 AND $p['uid']==$use_id){
	div('<a href="?a='.$f['id'].'">Отряд '.$f['name'].'</a> | Мобилизация войск','top');
	$q2 = mysql_query("SELECT * FROM `planet_units` WHERE `uid`='".$use_id."' AND `planet`='".$p['id']."'");
	$f2 = mysql_fetch_array($q2);
	$total_units=$f2['u1']+$f2['u2']+$f2['u3']+$f2['u4']+$f2['u5']+$f2['u6']+$f2['u7']+$f2['u8']+$f2['u9']+$f2['u10']+$f2['u11']+$f2['u12'];
	echo '<div class="conts">';
	if($f2['uid']!=$use_id){echo 'Вы не можете выслать подкрепление потому что отряд находится не на территории вашей колонии<br/>';}else{
	if($total_units==0){echo 'Вы не можете выслать подкрепление потому что у вас нет свободных войск на этой планете<br/>';}else{
if(!$_POST)
	{

			echo '<form action="" method="POST">';
			if($f2['u1']!=0)echo ''.rasa($rasa).' '.units(1, $rasa).': '.$f2['u1'].'<br /><input type="text" value="0" name="u1" /><br />';
			if($f2['u2']!=0)echo ''.rasa($rasa).' '.units(2, $rasa).': '.$f2['u2'].'<br/><input type="text" value="0" name="u2" /><br />';
			if($f2['u3']!=0)echo ''.rasa($rasa).' '.units(3, $rasa).': '.$f2['u3'].'<br/><input type="text" value="0" name="u3" /><br />';
			if($f2['u4']!=0)echo ''.rasa($rasa).' '.units(4, $rasa).': '.$f2['u4'].'<br/><input type="text" value="0" name="u4" /><br />';
			if($f2['u5']!=0)echo ''.rasa($rasa).' '.units(5, $rasa).': '.$f2['u5'].'<br/><input type="text" value="0" name="u5" /><br />';
			if($f2['u6']!=0)echo ''.rasa($rasa).' '.units(6, $rasa).': '.$f2['u6'].'<br/><input type="text" value="0" name="u6" /><br />';
			if($f2['u7']!=0)echo ''.rasa($rasa).' '.units(7, $rasa).': '.$f2['u7'].'<br/><input type="text" value="0" name="u7" /><br />';
			if($f2['u8']!=0)echo ''.rasa($rasa).' '.units(8, $rasa).': '.$f2['u8'].'<br/><input type="text" value="0" name="u8" /><br />';
			if($f2['u9']!=0)echo ''.rasa($rasa).' '.units(9, $rasa).': '.$f2['u9'].'<br/><input type="text" value="0" name="u9" /><br />';
			if($f2['u10']!=0)echo ''.rasa($rasa).' '.units(10, $rasa).': '.$f2['u10'].'<br/><input type="text" value="0" name="u10" /><br />';
			if($f2['u11']!=0)echo ''.rasa($rasa).' '.units(11, $rasa).': '.$f2['u11'].'<br/><input type="text" value="0" name="u11" /><br />';
			if($f2['u12']!=0)echo ''.rasa($rasa).' '.units(12, $rasa).': '.$f2['u12'].'<br/><input type="text" value="0" name="u12" /><br />';

			echo '<input type="submit" name="submit" value="Отправить"/></form>';
	     	}		
			else
	{
			$uu1 = check(trim(mysql_real_escape_string($_POST['u1'])));
			if($uu1=='')$uu1=0;
			$uu2 = check(trim(mysql_real_escape_string($_POST['u2'])));
			if($uu2=='')$uu2=0;
			$uu3 = check(trim(mysql_real_escape_string($_POST['u3'])));
			if($uu3=='')$uu3=0;
			$uu4 = check(trim(mysql_real_escape_string($_POST['u4'])));
			if($uu4=='')$uu4=0;
			$uu5 = check(trim(mysql_real_escape_string($_POST['u5'])));
			if($uu5=='')$uu5=0;
			$uu6 = check(trim(mysql_real_escape_string($_POST['u6'])));
			if($uu6=='')$uu6=0;
			$uu7 = check(trim(mysql_real_escape_string($_POST['u7'])));
			if($uu7=='')$uu7=0;
			$uu8 = check(trim(mysql_real_escape_string($_POST['u8'])));
			if($uu8=='')$uu8=0;
			$uu9 = check(trim(mysql_real_escape_string($_POST['u9'])));
			if($uu9=='')$uu9=0;
			$uu10 = check(trim(mysql_real_escape_string($_POST['u10'])));
			if($uu10=='')$uu10=0;
			$uu11 = check(trim(mysql_real_escape_string($_POST['u11'])));
			if($uu11=='')$uu11=0;
			$uu12 = check(trim(mysql_real_escape_string($_POST['u12'])));
			if($uu12=='')$uu12=0;
		    $error = false;

			if (preg_match('/[^\d_]+/',$uu1))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu2))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu3))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu4))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu5))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu6))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu7))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu8))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu9))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu10))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu11))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu12))
			$error = $error . 'Недопустимые символы<br />';
			elseif ($uu1 > $f2['u1'] or $uu2 > $f2['u2'] or $uu3 > $f2['u3'] or $uu4 > $f2['u4'] or $uu5 > $f2['u5'] or $uu6 > $f2['u6'] or $uu7 > $f2['u7'] or $uu8 > $f2['u8'] or $uu9 > $f2['u9'] or $uu10 > $f2['u10'] or $uu11 > $f2['u11'] or $uu12 > $f2['u12'])
			$error = $error . 'У вас нет столько юнитов!<br />';
			
			
				  		if (empty($error))
		{
		mysql_query("UPDATE `army` SET `u1`=u1+$uu1,
		`u2`=u2+$uu2,
		`u3`=u3+$uu3,
		`u4`=u4+$uu4,
		`u5`=u5+$uu5,
		`u6`=u6+$uu6,
		`u7`=u7+$uu7,
		`u8`=u8+$uu8,
		`u9`=u9+$uu9,
		`u10`=u10+$uu10,
		`u11`=u11+$uu11,
		`u12`=u12+$uu12	WHERE `id`='".$f['id']."';");
		mysql_query("UPDATE `planet_units` SET `u1`=u1-$uu1,
		`u2`=u2-$uu2,
		`u3`=u3-$uu3,
		`u4`=u4-$uu4,
		`u5`=u5-$uu5,
		`u6`=u6-$uu6,
		`u7`=u7-$uu7,
		`u8`=u8-$uu8,
		`u9`=u9-$uu9,
		`u10`=u10-$uu10,
		`u11`=u11-$uu11,
		`u12`=u12-$uu12 WHERE `uid`='".$use_id."' AND `planet`='".$p['id']."';");
		

			echo 'Подкрепление выслано!<br />';

	          	
		}
		else
		{
			echo ''.$error.'';
	          				}}}}
	echo '<a href="?act=a&amp;a='.$f['id'].'"><<Назад</a></div>';}
							break;
	case 'minus':
	if($f['uid']==$use_id AND $f['onpl']!=0 AND $p['uid']==$use_id){
	div('<a href="?a='.$f['id'].'">Отряд '.$f['name'].'</a> | Отозвать войска','top');
	$q2 = mysql_query("SELECT * FROM `planet_units` WHERE `uid`='".$use_id."' AND `planet`='".$p['id']."'");
	$f2 = mysql_fetch_array($q2);
	echo '<div class="conts">';
	if($f2['uid']!=$use_id){echo 'Вы не можете отозвать войска потому что отряд находится не на территории вашей колонии<br/>';}else{
	if($units==0){echo 'Вы не можете отозвать войска на планету потому что у вас нет юнитов в составе отряда.<br/>';}else{
if(!$_POST)
	{

			echo '<form action="" method="POST">';
			if($f['u1']!=0)echo ''.rasa($rasa).' '.units(1, $rasa).': '.$f['u1'].'<br /><input type="text" value="0" name="u1" /><br />';
			if($f['u2']!=0)echo ''.rasa($rasa).' '.units(2, $rasa).': '.$f['u2'].'<br/><input type="text" value="0" name="u2" /><br />';
			if($f['u3']!=0)echo ''.rasa($rasa).' '.units(3, $rasa).': '.$f['u3'].'<br/><input type="text" value="0" name="u3" /><br />';
			if($f['u4']!=0)echo ''.rasa($rasa).' '.units(4, $rasa).': '.$f['u4'].'<br/><input type="text" value="0" name="u4" /><br />';
			if($f['u5']!=0)echo ''.rasa($rasa).' '.units(5, $rasa).': '.$f['u5'].'<br/><input type="text" value="0" name="u5" /><br />';
			if($f['u6']!=0)echo ''.rasa($rasa).' '.units(6, $rasa).': '.$f['u6'].'<br/><input type="text" value="0" name="u6" /><br />';
			if($f['u7']!=0)echo ''.rasa($rasa).' '.units(7, $rasa).': '.$f['u7'].'<br/><input type="text" value="0" name="u7" /><br />';
			if($f['u8']!=0)echo ''.rasa($rasa).' '.units(8, $rasa).': '.$f['u8'].'<br/><input type="text" value="0" name="u8" /><br />';
			if($f['u9']!=0)echo ''.rasa($rasa).' '.units(9, $rasa).': '.$f['u9'].'<br/><input type="text" value="0" name="u9" /><br />';
			if($f['u10']!=0)echo ''.rasa($rasa).' '.units(10, $rasa).': '.$f['u10'].'<br/><input type="text" value="0" name="u10" /><br />';
			if($f['u11']!=0)echo ''.rasa($rasa).' '.units(11, $rasa).': '.$f['u11'].'<br/><input type="text" value="0" name="u11" /><br />';
			if($f['u12']!=0)echo ''.rasa($rasa).' '.units(12, $rasa).': '.$f['u12'].'<br/><input type="text" value="0" name="u12" /><br />';

			echo '<input type="submit" name="submit" value="Отозвать"/></form>';
	     	}		
			else
	{
			$uu1 = check(trim(mysql_real_escape_string($_POST['u1'])));
			if($uu1=='')$uu1=0;
			$uu2 = check(trim(mysql_real_escape_string($_POST['u2'])));
			if($uu2=='')$uu2=0;
			$uu3 = check(trim(mysql_real_escape_string($_POST['u3'])));
			if($uu3=='')$uu3=0;
			$uu4 = check(trim(mysql_real_escape_string($_POST['u4'])));
			if($uu4=='')$uu4=0;
			$uu5 = check(trim(mysql_real_escape_string($_POST['u5'])));
			if($uu5=='')$uu5=0;
			$uu6 = check(trim(mysql_real_escape_string($_POST['u6'])));
			if($uu6=='')$uu6=0;
			$uu7 = check(trim(mysql_real_escape_string($_POST['u7'])));
			if($uu7=='')$uu7=0;
			$uu8 = check(trim(mysql_real_escape_string($_POST['u8'])));
			if($uu8=='')$uu8=0;
			$uu9 = check(trim(mysql_real_escape_string($_POST['u9'])));
			if($uu9=='')$uu9=0;
			$uu10 = check(trim(mysql_real_escape_string($_POST['u10'])));
			if($uu10=='')$uu10=0;
			$uu11 = check(trim(mysql_real_escape_string($_POST['u11'])));
			if($uu11=='')$uu11=0;
			$uu12 = check(trim(mysql_real_escape_string($_POST['u12'])));
			if($uu12=='')$uu12=0;
		    $error = false;

			if (preg_match('/[^\d_]+/',$uu1))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu2))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu3))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu4))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu5))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu6))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu7))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu8))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu9))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu10))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu11))
			$error = $error . 'Недопустимые символы<br />';
			if (preg_match('/[^\d_]+/',$uu12))
			$error = $error . 'Недопустимые символы<br />';
			elseif ($uu1 > $f['u1'] or $uu2 > $f['u2'] or $uu3 > $f['u3'] or $uu4 > $f['u4'] or $uu5 > $f['u5'] or $uu6 > $f['u6'] or $uu7 > $f['u7'] or $uu8 > $f['u8'] or $uu9 > $f['u9'] or $uu10 > $f['u10'] or $uu11 > $f['u11'] or $uu12 > $f['u12'])
			$error = $error . 'У вас нет столько юнитов!<br />';
			
			
				  		if (empty($error))
		{
		mysql_query("UPDATE `army` SET `u1`=u1-$uu1,
		`u2`=u2-$uu2,
		`u3`=u3-$uu3,
		`u4`=u4-$uu4,
		`u5`=u5-$uu5,
		`u6`=u6-$uu6,
		`u7`=u7-$uu7,
		`u8`=u8-$uu8,
		`u9`=u9-$uu9,
		`u10`=u10-$uu10,
		`u11`=u11-$uu11,
		`u12`=u12-$uu12	WHERE `id`='".$f['id']."';");
		mysql_query("UPDATE `planet_units` SET `u1`=u1+$uu1,
		`u2`=u2+$uu2,
		`u3`=u3+$uu3,
		`u4`=u4+$uu4,
		`u5`=u5+$uu5,
		`u6`=u6+$uu6,
		`u7`=u7+$uu7,
		`u8`=u8+$uu8,
		`u9`=u9+$uu9,
		`u10`=u10+$uu10,
		`u11`=u11+$uu11,
		`u12`=u12+$uu12 WHERE `uid`='".$use_id."' AND `planet`='".$p['id']."';");
		

			echo 'Войска отозваны!<br />';

	          	
		}
		else
		{
			echo ''.$error.'';
	          				}}}}
		echo '<a href="?act=a&amp;a='.$f['id'].'"><<Назад</a></div>';}
							break;
	case 'onpl':
	if($f['uid']==$use_id AND $f['onpl']!=0 AND $f['time']<$realtime AND $units!=0 AND ($f['u8']*10)>=$vmest){
	div('<a href="sp_army.php?a='.$f['id'].'">Отряд '.$f['name'].'</a> | Поднятся на орбиту','top');
	$h = mysql_query("SELECT * FROM `war` WHERE `uid1`='".$use_id."' AND `uid2`='".$p['uid']."' AND `planet`='".$p['id']."'");
	$w = mysql_fetch_array($h);
	if($w['name']!='')$onpl = mysql_result(mysql_query("SELECT COUNT(*) FROM `army` WHERE `onpl`='".$f['onpl']."' AND `uid`='".$use_id."';"), 0);
	echo '<div class="conts">';
	$wb=$_GET['o'];
	if($wb!=1){
							echo '<img src="../images/army.gif" alt="image" /> Вы уверенны что хотите поднять отряд на орбиту планеты '.$p['name'].'?<br/>';
							if($onpl-1==0)echo 'Война с игроком  '.rasa($w['rasa2']).' <a href="../p/anketa.php?id='.$w['uid2'].'"><span class="'.crasa($w['rasa2']).'">'.$w['login2'].'</span></a> будет прекращена!<br/>';
							echo '<img src="../images/time.gif" alt="image" /> Время отдыха будет составлять 5 минут<br/>';
							echo '<a href="?act=onpl&amp;o=1&amp;a='.$f['id'].'">Да</a> или <a href="pl_army.php?a='.$f['id'].'">Отмена</a>';
							}else{
	echo '<img src="../images/army.gif" alt="image" /> Отряд успешно поднялся на орбиту планеты '.$p['name'].' по координатам x:'.$p['x'].' y:'.$p['y'].'';
	mysql_query("UPDATE `army` SET `onpl`=0, `time`=$realtime+300 WHERE `id`='".$f['id']."';");
	if($onpl-1==0){
	mysql_query("UPDATE `sosed` SET `war`=0 WHERE `uid1`='".$use_id."' AND `uid2`='".$p['uid']."' AND `planet`='".$p['id']."';");
	mysql_query("UPDATE `planet_loc` SET `uid`='".$p['uid']."', `occupy`=0 WHERE `planet_id`='".$p['id']."' AND `uid`='".$use_id."';");
	mysql_query("DELETE FROM `war` WHERE `id`='".$w['id']."';");
	}
	if($p['uid']!=$f['uid'])mysql_query("INSERT INTO `doklad` SET `uid`='".$p['uid']."', `time`='" . time() . "', `type`=4, `text`='Отряд ".$f['name']." игрока <b>".$login."</b> покинул поверхность вашей планеты <b>".$p['name']."</b>';");

}
	echo '</div>';
	}
	break;
	case 'at':
	$un=$_GET['u'];
	$q = mysql_query("SELECT * FROM `units_info` WHERE `unit`='".check(mysql_real_escape_string($un))."' AND `rasa`='".$rasa."'");
	$u = mysql_fetch_array($q);
	if($f['uid']==$use_id AND $f['onpl']!=0 AND $u['name']!=''){
	div('<a href="pl_army.php?act=a&amp;a='.$f['id'].'">Отряд '.$f['name'].'</a> | Выбор атаки','top');
	$un2='at'.check($un).'';
	$at_count = mysql_result(mysql_query("SELECT ($un2) FROM `army` WHERE `id`='".$f['id']."';"), 0);
	echo '<div class="cont">'.rasa($rasa).' '.$u['name'].' ['.at1($at_count).']</div>';
	echo '<div class="conts">';
	if(!$_POST)
	{
		echo '<form action="?act=at&amp;u='.check($un).'&amp;a='.$f['id'].'" method="post">';
		
		echo '<select name="at">';
		echo '<option value="0">Не атакуют никого</option>';
		if($u['at1']==1)echo '<option value="1">Легкие наземные войска</option>';
		if($u['at2']==1)echo '<option value="2">Тяжелые наземные войска</option>';
		if($u['at3']==1)echo '<option value="3">Воздушные войска</option></select>';
		echo '<input type="submit" name="submit" value="Изменить"/></form>';
	}
	else
	{
		$at_unit = check(trim($_POST['at']));
		$error = false;
		if ($at_unit <0 OR $at_unit>3)
		$error = $error . 'Не верно выбран тип атакуемых юнитов!<br />';
		if (empty($error))
		{
		mysql_query("UPDATE `army` SET `$un2`='".$at_unit."' WHERE `id`='".$f['id']."';");
		header("Location: ?a=".$f['id']."");
		}
		else
		{
			echo ''.$error.'';
		}
	}	
			
	echo '<a href="?act=a&amp;a='.$f['id'].'"><<Назад</a></div>';}
	break;
	}
}
echo '<div class="razd"></div>';
echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
echo '<div class="razd"></div>';
require_once '../includes/footer1.php';
?>
